com.io7m.jpra.model.type_declarations

## Class RecordFieldDeclPaddingOctets<I,T>

- java.lang.Object
- - com.io7m.jpra.model.type_declarations.RecordFieldDeclPaddingOctets<I,T>

- Type Parameters:
    `I` - The type of identifiers
    `T` - The type of type information
  All Implemented Interfaces:
    ModelElementType, RecordFieldDeclType<I,T>

      @Immutable
      public final class RecordFieldDeclPaddingOctets<I,T>
      extends Object
      implements RecordFieldDeclType<I,T>

  A `record` field declaration that specifies a number of padding octets.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordFieldDeclPaddingOctets(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex, SizeExprType<I,T> in_size)` Construct a field declaration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>>` | `getLexicalInformation()` Fetch the lexical information for the element.
    `SizeExprType<I,T>` | `getSizeExpression()`
    `<A,E extends Exception> A` | `matchRecordFieldDeclaration(RecordFieldDeclMatcherType<I,T,A,E> m)` Accept a field matcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordFieldDeclPaddingOctets

          public RecordFieldDeclPaddingOctets(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex,
                                              SizeExprType<I,T> in_size)

      Construct a field declaration.
      Parameters:
        `in_lex` - The lexical information for the name
        `in_size` - The size expression

  - ### Method Detail

    - #### getSizeExpression

          public SizeExprType<I,T> getSizeExpression()

      Returns:
        The field size expression

    - #### matchRecordFieldDeclaration

          public <A,E extends Exception> A matchRecordFieldDeclaration(RecordFieldDeclMatcherType<I,T,A,E> m)
                                                                throws E extends Exception

      Description copied from interface: `RecordFieldDeclType`
      Accept a field matcher.
      Specified by:
        `matchRecordFieldDeclaration` in interface `RecordFieldDeclType<I,T>`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `m` - The matcher
      Returns:
        The value returned by `m`
      Throws:
        `E` - If `m` raises `E`
        `E extends Exception`

    - #### getLexicalInformation

          public Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> getLexicalInformation()

      Description copied from interface: `ModelElementType`
      Fetch the lexical information for the element. This is used to localize error messages to a position in a file when referring to specific elements.
      Specified by:
        `getLexicalInformation` in interface `ModelElementType`
      Returns:
        The original lexical information, if any

Copyright © 2015 <code@io7m.com> http://io7m.com